-- SID Number for reputatuion
-- [0] Unknown/None
-- [1] hated
-- [2] hostile
-- [3] unfriendly
-- [4] neutral
-- [5] friendly
-- [6] honored
-- [7] revered
-- [8] exalted

DailesDATE = "%A, %B %d, %Y"; DailiesMONTH = "%m"; DailiesDAY = "%d"
if type(DailesDATE) == "string" then
	DailesDATE = date(DailesDATE)
	DailiesMONTH = tonumber(date(DailiesMONTH))
	DailiesDAY = tonumber(date(DailiesDAY))
	DailiesMONTHDAY = DailiesMONTH.."/"..DailiesDAY
else
	DailesDATE = DATE()
end

hasHerbalism = nil; hasMining = nil; hasSkinning = nil;

SkyguardValue = 0; NetherwingValue = 0; CookingValue = 0; OgrilaValue = 0; BGPvPValue = 0; FishingValue = 0;
NInstanceValue = 0; HInstanceValue = 0; HolidayValue = 0; SSOValue = 0; WorldPvPValue = 0; SSOCounter = 0;	TradeskillCounter = 0

DailyQuestsList = {
	-- Battlegrounds
	["Call to Arms: Warsong Gulch"] = {icon = "Interface\\Icons\\INV_Misc_Rune_07", area = "Warsong Gulch", group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	["Call to Arms: Arathi Basin"] = {icon = "Interface\\Icons\\INV_Jewelry_Amulet_07", area = "Arathi Basin", group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	["Call to Arms: Eye of the Storm"] = {icon = "Interface\\Icons\\Spell_Nature_EyeOfTheStorm", area = "Eye of the Storm", group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	["Call to Arms: Alterac Valley"] = {icon = "Interface\\Icons\\INV_Jewelry_Necklace_21", area = "Alterac Valley", group = "BGPvP", SID = "None:0", ["honor"] = 420, gold = 119900},
	
	-- Regular Instances
	["Wanted: Tempest-Forge Destroyers"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Destroyer.tga", loc = "The Mechanar", area = "The Mechanar", group = "NInstance", SID = "None:0", ["rep"] = {"The Sha'tar:250", "The Consortium:250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --The Mechanar
	["Wanted: Arcatraz Sentinels"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Sentinel.tga", loc = "The Arcatraz", area = "The Arcatraz", group = "NInstance", SID = "None:0", ["rep"] = {"The Sha'tar:250", "The Consortium:250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Arcatraz
	["Wanted: Coilfang Myrmidons"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Myrmidon.tga", loc = "The Steamvault", area = "The Steamvault", group = "NInstance", SID = "None:0", ["rep"] = {"Cenarion Expedition:250", "The Consortium:250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Steamvault
	["Wanted: Rift Lords"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Rift.tga", loc = "The Black Morass", area = "The Black Morass", group = "NInstance", SID = "None:0", ["rep"] = {"Keepers of Time:250", "The Consortium:250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Black Morass
	["Wanted: Malicious Instructors"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Instructor.tga", loc = "Shadow Labyrinth", area = "Shadow Labyrinth", group = "NInstance", SID = "None:0", ["rep"] = {"Lower City:250", "The Consortium:250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Shadow Labyrinth
	["Wanted: Sunseeker Channelers"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\Instructor.tga", loc = "The Botanica", area = "The Botanica", group = "NInstance", SID = "None:0", ["rep"] = {"The Sha'tar:250", "The Consortium:250"}, ["rewards"] = {"29460:1"}, gold = 163900}, --Botanica

	-- Heroic Instances
	["Wanted: Pathaleon's Projector"] = {icon = "Interface\\Icons\\INV_Misc_EngGizmos_08", loc = "The Mechanar", area = "The Mechanar", group = "HInstance", SID = "The Sha'tar:6", ["rep"] = {"The Sha'tar:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Mechnar
	["Wanted: The Heart of Quagmirran"] = {icon = "Interface\\Icons\\INV_Misc_Organ_02", loc = "The Slave Pens", area = "The Slave Pens", group = "HInstance", SID = "Cenarion Expedition:6", ["rep"] = {"Cenarion Expedition:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Slave Pens
	["Wanted: A Black Stalker Egg"] = {icon = "Interface\\Icons\\INV_Misc_ShadowEgg", loc = "The Underbog", area = "The Underbog", group = "HInstance", SID = "Cenarion Expedition:6", ["rep"] = {"Cenarion Expedition:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Underbog
	["Wanted: The Epoch Hunter's Head"] = {icon = "Interface\\Icons\\INV_Misc_Head_Dragon_Black", loc = "Old Hillsbrad Foothills",  area = "Old Hillsbrad Foothills", group = "HInstance", SID = "Keepers of Time:6", ["rep"] = {"Keepers of Time:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Durnholde
	["Wanted: Shaffar's Wondrous Pendant"] = {icon = "Interface\\Icons\\INV_Jewelry_Amulet_07", loc = "Mana-Tombs",  area = "Mana-Tombs", group = "HInstance", SID = "Lower City:6", ["rep"] = {"Lower City:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Mana Tombs
	["Wanted: The Headfeathers of Ikiss"] = {icon = "Interface\\Icons\\INV_Feather_06", loc = "Sethekk Halls", area = "Sethekk Halls",  group = "HInstance", SID = "Lower City:6", ["rep"] = {"Lower City:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Sethekk Halls	
	["Wanted: Murmur's Whisper"] = {icon = "Interface\\Icons\\INV_Elemental_Mote_Air01", loc = "Shadow Labyrinth", area = "Shadow Labyrinth", group = "HInstance", SID = "Lower City:6", ["rep"] = {"Lower City:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Shadow Labs
	["Wanted: The Scroll of Skyriss"] = {icon = "Interface\\Icons\\INV_Misc_SymbolofKings_01", loc = "The Arcatraz", area = "The Arcatraz", group = "HInstance", SID = "The Sha'tar:6", ["rep"] = {"The Sha'tar:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Arcatraz
	["Wanted: The Exarch's Soul Gem"] = {icon = "Interface\\Icons\\INV_Misc_Gem_Pearl_07", loc = "Auchenai Crypts", area = "Auchenai Crypts",  group = "HInstance", SID = "Lower City:6", ["rep"] = {"Lower City:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Auchenai Crypt
	["Wanted: Aeonus's Hourglass"] = {icon = "Interface\\Icons\\INV_Gizmo_KhoriumPowerCore", loc = "The Black Morass", area = "The Black Morass", group = "HInstance", SID = "Keepers of Time:6", ["rep"] = {"Keepers of Time:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Black Morasses
	["Wanted: A Warp Splinter Clipping"] = {icon = "Interface\\Icons\\INV_Misc_Branch_01", loc = "The Botanica", area = "The Botanica", group = "HInstance", SID = "The Sha'tar:6", ["rep"] = {"The Sha'tar:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Botanica
	["Wanted: The Warlord's Treatise"] = {icon = "Interface\\Icons\\INV_Misc_Book_05", loc = "The Steamvault", area = "The Steamvault", group = "HInstance", SID = "Cenarion Expedition:6", ["rep"] = {"Cenarion Expedition:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, --Steam Vault
	
	-- Cooking
	["Revenge is Tasty"] = {icon = "Interface\\Icons\\INV_Misc_Food_46", area = "Terokkar Forest", group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	["Manalicious"] = {icon = "Interface\\Icons\\INV_Misc_Food_58", area = "Netherstorm", group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	["Soup for the Soul"] = {icon = "Interface\\Icons\\INV_Misc_Food_64", area = "Nagrand", group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	["Super Hot Stew"] = {icon = "Interface\\Icons\\INV_Misc_Food_48", area = "Blade's Edge Mountains", group = "Cooking", SID = "None:0", ["rewards"] = {"33844:1", "33857:1"}, gold = 75900},
	
	-- Sha'tari Skyguard
	["Wrangle More Aether Rays!"] = {icon = "Interface\\Icons\\INV_Misc_Noose_01", area = "Blade's Edge Mountains", group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {"Ogri'la:350", "Sha'tari Skyguard:350"}, ["rewards"] = {"32569:15"}, gold = 119900},
	["Fires Over Skettis"] = {icon = "Interface\\Icons\\INV_Misc_Bomb_07", area = "Terokkar Forest", group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {"Sha'tari Skyguard:350"}, gold = 119900},
	["Escape from Skettis"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\ES.tga", area = "Terokkar Forest", group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {"Sha'tari Skyguard:350"}, gold = 91000},
	["Bomb Them Again!"] = {icon = "Interface\\Icons\\INV_Misc_Bomb_04", area = "Blade's Edge Mountains", group = "Sha'tari Skyguard", SID = "Sha'tari Skyguard:4", ["rep"] = {"Ogri'la:500", "Sha'tari Skyguard:500"}, ["rewards"] = {"32569:15"}, gold = 119900},
	
	-- Ogri'la
	["The Relic's Emanation"] = {icon = "Interface\\Icons\\INV_Misc_Apexis_Shard", area = "Blade's Edge Mountains", group = "Ogri'la", SID = "Ogri'la:4", ["rep"] = {"Ogri'la:350"}, ["rewards"] = {"32569:15"}, gold = 91000},
	["Banish More Demons"] = {icon = "Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02", area = "Blade's Edge Mountains", group = "Ogri'la", SID = "Ogri'la:6", ["rep"] = {"Ogri'la:350"}, ["rewards"] = {"32569:15", "32777:1"}, gold = 119900},

	-- Netherwing
	["The Deadliest Trap Ever Laid"] = {icon = "Interface\\Icons\\Ability_Warrior_EndlessRage", area = "Shadowmoon Valley", group = "Netherwing", SID = "Netherwing:7", ["rep"] = {"Netherwing:500"}, gold = 182800},
	["The Not-So-Friendly Skies..."] = {icon = "Interface\\Icons\\INV_Bijou_Blue", area = "Shadowmoon Valley", group = "Netherwing", SID = "Netherwing:4", ["rep"] = {"Netherwing:250"}, gold = 119900},
	["The Booterang: A Cure For The Common Worthless Peon"] = {icon = "Interface\\Icons\\INV_Boots_Chain_01", area = "Shadowmoon Valley", group = "Netherwing", SID = "Netherwing:5", ["rep"] = {"Netherwing:350"}, gold = 119900},
	["Picking Up The Pieces..."] = {icon = "Interface\\Icons\\INV_Crate_04", area = "Shadowmoon Valley", group = "Netherwing", SID = "Netherwing:5", ["rep"] = {"Netherwing:350"}, gold = 182800},
	["Netherwing Crystals"] = {icon = "Interface\\Icons\\INV_Misc_Gem_AzureDraenite_02", area = "Shadowmoon Valley", group = "Netherwing", SID = "Netherwing:5", ["rep"] = {"Netherwing:250"}, gold = 119900},
	["Dragons are the Least of Our Problems"] = {icon = "Interface\\Icons\\Ability_Hunter_Pet_Ravager", area = "Shadowmoon Valley", group = "Netherwing", SID = "Netherwing:5", ["rep"] = {"Netherwing:350"}, gold = 119900},
	["Disrupting the Twilight Portal"] = {icon = "Interface\\Icons\\INV_Armor_Shield_Naxxramas_D_01", SID = "Netherwing:6", ["rep"] = {"Netherwing:500"}, area = "Nagrand", group = "Netherwing", gold = 119900},
	["A Slow Death"] = {icon = "Interface\\Icons\\INV_Misc_Food_60", area = "Shadowmoon Valley", group = "Netherwing", SID = "Netherwing:4", ["rep"] = {"Netherwing:250"}, gold = 119900},

	-- ***** Patch 2.4 Dailies List	*****
	-- Heroic Daily
	["Wanted: The Signet Ring of Prince Kael'thas"] = {icon = "Interface\\Icons\\INV_Jewelry_Ring_55", area = "Magisters' Terrace", loc = "Magisters' Terrace", group = "HInstance", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:350", "The Consortium:350"}, ["rewards"] = {"29434:2"}, gold = 246000}, -- Magisters' Terrace
	-- Non Heroic Daily
	["Wanted: Sisters of Torment"] = {icon = "Interface\\Addons\\DailiesQuestTracker\\Icons\\SisterofTorment.tga", area = "Magisters' Terrace", loc = "Magisters' Terrace", group = "NInstance", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250", "The Consortium:250"}, ["rewards"] = {"29460:1"}, gold = 163900}, -- Magisters' Terrace

	-- Fishing
	["Shrimpin' Ain't Easy"] = {icon = "Interface\\Icons\\INV_Misc_Fish_15", area = "Zangarmarsh", group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},
	["Crocolisks in the City"] = {icon = "Interface\\Icons\\Ability_Hunter_Pet_Crocolisk", area = "Stormwind City", group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},
	["Bait Bandits"] = {icon = "Interface\\Icons\\INV_Misc_Fish_43", area = "Terokkar Forest", group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},
	["Felblood Fillet"] = {icon = "Interface\\Icons\\INV_Misc_Fish_38", area = "Shadowmoon Valley", group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},
	["The One That Got Away"] = {icon = "Interface\\Icons\\INV_Misc_Fish_45", area = "Nagrand", group = "Fishing", SID = "None:0", ["rewards"] = {"35348:1"}},

	-- Shattered Sun Offensive [Final Quests Only]
	["Blood for Blood"] = {icon = "Interface\\Icons\\INV_Qiraj_JewelEngraved", area = "Hellfire Peninsula", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, ["rewards"] = {"30809:5", "30810:5"}, gold = 119900},
	["Blast the Gateway"] = {icon = "Interface\\Icons\\INV_Ammo_FireTar", area = "Hellfire Peninsula", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, ["rewards"] = {"35232:1"}, gold = 101000},
	["Sunfury Attack Plans"] = {icon = "Interface\\Icons\\INV_Scroll_04", area = "Netherstorm", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, ["rewards"] = {"35232:1"}, gold = 101000},
	["The Multiphase Survey"] = {icon = "Interface\\Icons\\INV_Gizmo_NewGoggles", area = "Nagrand", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:150"}, gold = 91000},
	["Arm the Wards!"] = {icon = "Interface\\Icons\\INV_Misc_Dust_03", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:150"}, gold = 91000},
	["Further Conversions"] = {icon = "Interface\\Icons\\INV_Misc_Gem_Variety_02", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:150"}, gold = 91000},
	["Ata'mal Armaments"] = {icon = "Interface\\Icons\\INV_Ore_Khorium_01", area = "Shadowmoon Valley", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:350"}, ["rewards"] = {"34538:1", "34539:1"}, gold = 182800},
	["Disrupt the Greengill Coast"] = {icon = "Interface\\Icons\\Spell_Nature_WispSplode", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, gold = 119900},
	["Don't Stop Now...."] = {icon = "Interface\\Icons\\INV_Ore_Iron_01", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, gold = 119900},
	["Keeping the Enemy at Bay"] = {icon = "Interface\\Icons\\Spell_Fire_Fire", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, gold = 75900},
	["Crush the Dawnblade"] = {icon = "Interface\\Icons\\INV_Misc_Gem_Bloodstone_02", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, gold = 119900},
	["Maintaining the Sunwell Portal"] = {icon = "Interface\\Icons\\INV_Gizmo_KhoriumPowerCore", area = "Blade's Edge Mountains", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, ["rewards"] = {"35232:1"}, gold = 101000},
	["Know Your Ley Lines"] = {icon = "Interface\\Icons\\INV_Scroll_02", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, ["rewards"] = {"35230:1"}, gold = 119900},
	["The Air Strikes Must Continue"] = {icon = "Interface\\Icons\\Spell_Arcane_StarFire", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:150"}, gold = 91000},
	["Rediscovering Your Roots"] = {icon = "Interface\\Icons\\INV_Misc_Herb_15", area = "Hellfire Peninsula", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, ["rewards"] = {"35232:1"}, gold = 138800},
	["Open for Business"] = {icon = "Interface\\Icons\\INV_Misc_Branch_01", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, ["rewards"] = {"34537:1"}, gold = 119900},
	["The Battle Must Go On"] = {icon = "Interface\\Icons\\INV_BRD_Banner", area = "Isle of Quel'Danas", group = "Shattered Sun Offensive", SID = "Shattered Sun Offensive:4", ["rep"] = {"Shattered Sun Offensive:250"}, gold = 101000},	
	}
